summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/roundcube/ChangeLog23
-rw-r--r--mail-client/roundcube/Manifest5
-rw-r--r--mail-client/roundcube/files/digest-roundcube-0.1_rc13
-rw-r--r--mail-client/roundcube/files/postinstall-en.txt53
-rw-r--r--mail-client/roundcube/metadata.xml5
-rw-r--r--mail-client/roundcube/roundcube-0.1_rc1.ebuild66
6 files changed, 155 insertions, 0 deletions
diff --git a/mail-client/roundcube/ChangeLog b/mail-client/roundcube/ChangeLog
new file mode 100644
index 0000000..61bedb2
--- /dev/null
+++ b/mail-client/roundcube/ChangeLog
@@ -0,0 +1,23 @@
+# ChangeLog for mail-client/roundcube
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 08 Sep 2007; Jakub Moc <jakub@gentoo.org> files/postinstall-en.txt,
+ -roundcube-0.1_beta-r1.ebuild, -roundcube-0.1_beta2.ebuild,
+ +roundcube-0.1_rc1.ebuild:
+ Version bump, remove old. Fix dependencies, check properly for required php
+ features.
+
+ 05 Dec 2006; Emanuele Gentili <bathym@0x656d67.org>
+ +roundcube-0.1_beta2.ebuild:
+ Version bump
+
+ 15 Mar 2006; Renat Lumpau <rl03@gentoo.org> ChangeLog:
+ Vbump, small cleanups
+
+ 21 Feb 2006; Renat Lumpau <rl03@gentoo.org> ChangeLog:
+ Version bump
+
+ 20 Dec 2005; Renat Lumpau <rl03@gentoo.org> ChangeLog:
+ Initial ebuild wrt bug #109170.
+
diff --git a/mail-client/roundcube/Manifest b/mail-client/roundcube/Manifest
new file mode 100644
index 0000000..86c47cf
--- /dev/null
+++ b/mail-client/roundcube/Manifest
@@ -0,0 +1,5 @@
+AUX postinstall-en.txt 1641 RMD160 98b641b589e41341cbe1fd264882193ee6746282 SHA1 7717e0253b84e937da9894e9f20710dd1cb5161a SHA256 b86b419050895ad27a68762629acfe9a73487626f1e9d2c657b88b590ab61b22
+DIST roundcubemail-0.1-rc1-dep.tar.gz 449664 RMD160 6a2900fbd6508685c6d01928418441e70e38d322 SHA1 0ac409b5484656bf751cf8bf286edc6f4072ad79 SHA256 83d57307b67509e163a5abbd15e422387db45d6c310278727dfef5a5da30c070
+EBUILD roundcube-0.1_rc1.ebuild 1670 RMD160 2e3261570af07c61574ac19ae5430b821e00a7ad SHA1 b32c4be72dfb2dcbd966b0f3e454a9cdcf4a4ec5 SHA256 9d73b9e0c7d2e21cad4a22ab2b000eeb9ae29c95451c6a9d06131ed778dc94ed
+MISC ChangeLog 722 RMD160 c225cd21ae3e06cb580697dda46e4ddb03f7be5d SHA1 a0a55654f9a92ba9258771e70e1ba0b3191a84bf SHA256 245d5e739a891e61ea4fb410c036517f40365d666c30f8f70e8bc6e5f3273345
+MISC metadata.xml 162 RMD160 0b015f5ff17c4d8e7aee826d48b326cc19b1fed4 SHA1 671b30dafbea01228c8bb606af451a0795922840 SHA256 84ff2fc6c9a4af1b9dbe32aa81ab84c2958bc1bd65a9977686df2dcab6e420d0
diff --git a/mail-client/roundcube/files/digest-roundcube-0.1_rc1 b/mail-client/roundcube/files/digest-roundcube-0.1_rc1
new file mode 100644
index 0000000..f47e7c2
--- /dev/null
+++ b/mail-client/roundcube/files/digest-roundcube-0.1_rc1
@@ -0,0 +1,3 @@
+MD5 9a527b09c1f906e0c26a55e65d7e80aa roundcubemail-0.1-rc1-dep.tar.gz 449664
+RMD160 6a2900fbd6508685c6d01928418441e70e38d322 roundcubemail-0.1-rc1-dep.tar.gz 449664
+SHA256 83d57307b67509e163a5abbd15e422387db45d6c310278727dfef5a5da30c070 roundcubemail-0.1-rc1-dep.tar.gz 449664
diff --git a/mail-client/roundcube/files/postinstall-en.txt b/mail-client/roundcube/files/postinstall-en.txt
new file mode 100644
index 0000000..93cbcbc
--- /dev/null
+++ b/mail-client/roundcube/files/postinstall-en.txt
@@ -0,0 +1,53 @@
+0. DATABASE SETUP
+
+* MySQL
+-------
+Setting up the mysql database can be done by creating an empty database,
+importing the table layout and granting the proper permissions to the
+roundcube user. Here is an example of that procedure:
+
+# mysql
+> create database 'roundcubemail';
+> GRANT ALL PRIVILEGES ON roundcubemail.* TO roundcube@localhost
+ IDENTIFIED BY 'password';
+> quit
+# mysql roundcubemail < ${MY_INSTALLDIR}/SQL/mysql.initial.sql
+
+For MySQL version 4.1 and up, it's recommended to create the database for
+RoundCube with the following command:
+> CREATE DATABASE `roundcube` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;
+
+
+* SQLite
+--------
+Here is an example how you can setup the sqlite.db for roundcube:
+
+# sqlite -init SQL/sqlite.initial.sql sqlite.db
+
+Make sure your configuration points to the sqlite.db file and that the
+webserver can write to the file.
+
+
+* PostgreSQL
+------------
+To use RoundCube with PostgreSQL support you have to follow the next
+simple steps, which have to be done with the postgres system user (or
+which ever is the database superuser):
+
+$ createuser roundcubemail
+$ createdb -O roundcubemail roundcubemail
+$ psql roundcubemail
+
+roundcubemail =# ALTER USER roundcube WITH PASSWORD 'the_new_password';
+roundcubemail =# \c - roundcubemail
+roundcubemail => \i ${MY_INSTALLDIR}/SQL/postgres.initial.sql
+
+
+1. CONFIGURATION
+ Modify the files in ${MY_INSTALLDIR}/config/* to suit your local environment
+
+2. PHP CONFIGURATION
+
+ - error_reporting E_ALL & ~E_NOTICE (or lower)
+ - file_uploads on (for attachment upload features)
+ - memory_limit (increase as suitable to support large attachments)
diff --git a/mail-client/roundcube/metadata.xml b/mail-client/roundcube/metadata.xml
new file mode 100644
index 0000000..6632069
--- /dev/null
+++ b/mail-client/roundcube/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>web-apps</herd>
+</pkgmetadata>
diff --git a/mail-client/roundcube/roundcube-0.1_rc1.ebuild b/mail-client/roundcube/roundcube-0.1_rc1.ebuild
new file mode 100644
index 0000000..4ebbfbe
--- /dev/null
+++ b/mail-client/roundcube/roundcube-0.1_rc1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+# Reviewed-By: bathym 2006-05-12
+
+inherit webapp depend.php depend.apache
+
+MY_PV=${PV/_/-}-dep
+DESCRIPTION="A browser-based multilingual IMAP client using AJAX"
+HOMEPAGE="http://www.roundcube.net"
+SRC_URI="mirror://sourceforge/${PN}mail/${PN}mail-${MY_PV}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~x86"
+IUSE="mysql postgres sqlite"
+
+RDEPEND="dev-php/PEAR-Auth_SASL
+ >=dev-php/PEAR-DB-1.7.11
+ >=dev-php/PEAR-Mail_Mime-1.3.1-r1
+ >=dev-php/PEAR-Net_SMTP-1.2.10
+ dev-php/PEAR-Net_Socket"
+
+need_php_httpd
+need_apache
+
+S=${WORKDIR}/${PN}mail-${MY_PV}
+
+pkg_setup() {
+ local flags="crypt iconv pcre unicode"
+ local dbflags="mysql postgres sqlite"
+ if ! use mysql && ! use postgres && ! use sqlite ; then
+ if ! PHPCHECKNODIE="yes" require_php_with_use ${flags} || \
+ ! PHPCHECKNODIE="yes" require_php_with_any_use ${dbflags} ; then
+ die "Re-install ${PHP_PKG} with ${flags} and at least one of ${dbflags} in USE."
+ fi
+ else
+ for db in ${dbflags} ; do
+ use ${db} && flags="${flags} ${db}"
+ done
+ require_php_with_use ${flags}
+ fi
+ webapp_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"/config
+ mv db.inc.php.dist db.inc.php
+ mv main.inc.php.dist main.inc.php
+}
+
+src_install () {
+ webapp_src_preinst
+ dodoc CHANGELOG INSTALL README UPGRADING
+
+ cp -R [[:lower:]]* SQL "${D}"/${MY_HTDOCSDIR}
+
+ webapp_serverowned ${MY_HTDOCSDIR}/logs
+ webapp_serverowned ${MY_HTDOCSDIR}/temp
+
+ webapp_configfile ${MY_HTDOCSDIR}/config/{db,main}.inc.php
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_postupgrade_txt en UPGRADING
+ webapp_src_install
+}